"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const firefox_1 = __importDefault(require("./advanced/firefox"));
const chromium_1 = __importDefault(require("./advanced/chromium"));
const safari_1 = __importDefault(require("./advanced/safari"));
const no_css_1 = __importDefault(require("./no-css"));
// TODO export that?
function quick_detect_browser() {
    // https://stackoverflow.com/a/9851769/587407
    // https://dev.to/_elmahdim/safe-reliable-browser-sniffing-39bp
    try {
        if (window.InstallTrigger)
            return 'firefox';
        if (window.ApplePaySession)
            return 'safari';
        if (window.chrome)
            return 'chromium';
    }
    catch (_a) { }
    return 'other';
}
function create(options = {}) {
    if (options.useCss === false)
        return no_css_1.default(options);
    switch (options.explicitBrowser || quick_detect_browser()) {
        case 'firefox':
            return firefox_1.default;
        case 'safari':
            return safari_1.default;
        case 'chromium':
            return chromium_1.default;
        default:
            return no_css_1.default(options);
    }
}
exports.create = create;
//# sourceMappingURL=index.js.map