import tiny_singleton from '@offirmo/tiny-singleton';
import { createLogger as createLoggerCore } from '@offirmo/practical-logger-core';
import { create } from './sinks';
import improve_console_groups from './better-console-groups/practical-logger';
const ORIGINAL_CONSOLE = console;
const install_groups_or_not_once_for_all = tiny_singleton((active) => { if (active)
    improve_console_groups(); });
function createLogger(p = {}) {
    var _a, _b;
    install_groups_or_not_once_for_all(((_a = p.sinkOptions) === null || _a === void 0 ? void 0 : _a.betterGroups) !== false);
    const sink = ((_b = p.sinkOptions) === null || _b === void 0 ? void 0 : _b.sink) || create(p.sinkOptions);
    const { group, groupCollapsed, groupEnd } = ORIGINAL_CONSOLE;
    return {
        ...createLoggerCore(p, sink),
        group,
        groupCollapsed,
        groupEnd,
    };
}
export { createLogger, };
//# sourceMappingURL=index.js.map