const FONT_FAMILY_BETTER_PROPORTIONAL = 'font-family: ' + [
    '-apple-system',
    'BlinkMacSystemFont',
    'noto',
    'roboto',
    'sans-serif',
].join(', ');
const FONT_FAMILY_BETTER_MONOSPACE = 'font-family: ' + [
    '"Fira Code"',
    'Menlo',
    'Consolas',
    'monospace',
].join(', ');
const LEVEL_TO_COLOR_STYLE = {
    // empty = no need, console method already covers it well
    fatal: '',
    emerg: '',
    alert: '',
    crit: '',
    error: '',
    warning: '',
    warn: '',
    notice: 'color: #659AD2',
    info: 'color: #659AD2',
    verbose: 'color: #659AD2',
    log: '',
    debug: 'color: #9AA2AA',
    trace: 'color: #9AA2AA',
    silly: 'color: #9AA2AA',
};
function add_styled_string(line, chunk, ...styles) {
    const [existing_chunks, ...existing_chunks_styles] = line;
    return [
        existing_chunks + '%c' + chunk,
        ...existing_chunks_styles,
        styles.join(';') + ';',
    ];
}
export { FONT_FAMILY_BETTER_PROPORTIONAL, FONT_FAMILY_BETTER_MONOSPACE, LEVEL_TO_COLOR_STYLE, add_styled_string, };
//# sourceMappingURL=common.js.map