import sink_firefox from './advanced/firefox';
import sink_chromium from './advanced/chromium';
import sink_safari from './advanced/safari';
import create_sink_no_css from './no-css';
// TODO export that?
function quick_detect_browser() {
    // https://stackoverflow.com/a/9851769/587407
    // https://dev.to/_elmahdim/safe-reliable-browser-sniffing-39bp
    try {
        if (window.InstallTrigger)
            return 'firefox';
        if (window.ApplePaySession)
            return 'safari';
        if (window.chrome)
            return 'chromium';
    }
    catch { }
    return 'other';
}
export function create(options = {}) {
    if (options.useCss === false)
        return create_sink_no_css(options);
    switch (options.explicitBrowser || quick_detect_browser()) {
        case 'firefox':
            return sink_firefox;
        case 'safari':
            return sink_safari;
        case 'chromium':
            return sink_chromium;
        default:
            return create_sink_no_css(options);
    }
}
//# sourceMappingURL=index.js.map