import { LEVEL_TO_CONSOLE_METHOD, to_uniform_level } from './common';
export default function create(options = {}) {
    return (payload) => {
        const { level, name, msg, err, details } = payload;
        const console_method_name = LEVEL_TO_CONSOLE_METHOD[level];
        const console_method = console[console_method_name];
        let line = ['[', to_uniform_level(level), '] '];
        if (name) {
            line.push(`${name} › `);
        }
        line.push(msg);
        const args = line;
        if (Object.keys(details).length)
            args.push(details);
        // err should be last because it takes a lot of room and "hides" further args
        if (err)
            args.push(err);
        console_method(...args);
    };
}
//# sourceMappingURL=no-css.js.map